event_buffer_enable
event_buffer_free
Libevent Functions
PHP Manual

# event_buffer_fd_set

Change a buffered event file descriptor

### Description

void event_buffer_fd_set ( resource `$bevent` , resource `$fd` )

Changes the file descriptor on which the buffered event operates.

### Parameters

`bevent`

  Valid buffered event resource.

`fd`

  Valid PHP stream, must be castable to file descriptor.